*************************
** Replication files for: 
** Information, Democratic Participation and Elite Disillusionment: Evidence from a Field Experiment in Peru
** Quarterly Journal of Political Science
** Renard Sexton
** March 2021
*************************

clear
set more off

*** Change this file path to the appropriate location
cd "~/Downloads/"


***************
** RESULTS
***************

*** TABLE 1: Accountability Workshops Increased Knowledge Among Village Leaders

use "Sexton-QJPS-collapsed.dta",clear

eststo clear
reg pp_knowledge_total2 treated, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg pp_knowledge_total2 treated nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg pp_knowledge_total2 treated nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

reg revoc_knowledge_total2 treated, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg revoc_knowledge_total2 treated nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg revoc_knowledge_total2 treated nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

reg canon_knowledge_total2 treated, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg canon_knowledge_total2 treated nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg canon_knowledge_total2 treated nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

esttab using "table1.tex",  keep(treated)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles


*** TABLE 2: Workshops Affected Political Participation and Attitudes

eststo clear
reg pp_participation treated, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg pp_participation treated nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg pp_participation treated nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

reg revoc_support treated, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg revoc_support treated nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg revoc_support treated nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

reg protest_support2 treated, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg protest_support2 treated nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg protest_support2 treated nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

esttab using "table2.tex",  keep(treated)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles


*** TABLE 3: Workshops Affected Political Behavior (District Level)

use "Sexton-QJPS-districts",clear

eststo clear
 reg ln_miembros_Total treated , vce(bootstrap, reps(500) seed(7083))
 eststo
 reg ln_miembros_Total treated  c.pct_quarter_pre fujimori_firstround   familyincomepermonth winner_share  , vce(bootstrap, reps(500)  seed(7083))
 eststo
 
 reg kit2 treated , vce(bootstrap, reps(500) seed(7083))
 eststo
 reg kit2 treated  c.pct_quarter_pre fujimori_firstround   familyincomepermonth winner_share  , vce(bootstrap, reps(500)  seed(7083))
 eststo
 
 reg incidents_post2 treated , vce(bootstrap, reps(500) seed(7083))
 eststo
 reg incidents_post2 treated  c.pct_quarter_pre fujimori_firstround   familyincomepermonth winner_share  , vce(bootstrap, reps(500)  seed(7083))
 eststo
 
 reg pct_quarter_post treated , vce(bootstrap, reps(500) seed(7083))
 eststo
 reg pct_quarter_post treated  c.pct_quarter_pre fujimori_firstround   familyincomepermonth winner_share  , vce(bootstrap, reps(500)  seed(7083))
 eststo

 esttab using "table3.tex",  keep(treated)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles


*** TABLE 4: Workshops affected other political attitudes

use "Sexton-QJPS-collapsed.dta",clear

 eststo clear
 reg mayor_satisfaction_total treated nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 eststo
 reg mayor_satisfaction_total c.treated##c.pct_quarter_pre_centered nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 eststo
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))

 reg confianza_pp treated nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 eststo
 reg confianza_pp c.treated##c.pct_quarter_pre_centered nt_within_5k ccpp_within_5k distance_capital nhab , vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 eststo
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))

 reg confianza_revoc treated nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 eststo
 reg confianza_revoc c.treated##c.pct_quarter_pre_centered nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 eststo
 margins, dydx(treated) at (pct_quarter_pre_centered=(-1 0 1))

 reg firm_satisfaction_total treated nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 eststo
 reg firm_satisfaction_total c.treated##c.pct_quarter_pre_centered nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 eststo
 margins, dydx(treated) at (pct_quarter_pre_centered=(-1 0 1))
 
 esttab using "table4.tex",  keep(treated pct_quarter_pre_centered c.treated#c.pct_quarter_pre_centered )  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles


*** TABLE 5: Effects on political knowledge, attitudes and behavior vary by pre-period mayor performance


 eststo clear
 foreach y in pp_knowledge_total2 revoc_knowledge_total2 canon_knowledge_total2 pp_participation revoc_support protest_support2 {
 reg `y' c.treated##c.pct_quarter_pre_centered nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 eststo
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))
 }
  esttab using "table5.tex",  keep(treated pct_quarter_pre_centered c.treated#c.pct_quarter_pre_centered )  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles

*** TABLE 6: Heterogeneous effects by leader type

use "Sexton-QJPS-individual.dta",clear

eststo clear

reg pp_participation c.treated##c.formal_leader reads blender cellphone internet distance_capital nhab female  familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

reg pp_participation c.treated##c.formal_leader  nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female  familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

reg revoc_support c.treated##c.formal_leader reads blender cellphone internet distance_capital nhab female  familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

reg revoc_support c.treated##c.formal_leader  nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female  familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

reg protest_support2 cc.treated##c.formal_leader  reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

reg protest_support2 cc.treated##c.formal_leader  nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

reg mayor_satisfaction_total cc.treated##c.formal_leader  reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

reg mayor_satisfaction_total cc.treated##c.formal_leader  nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

esttab using "table6.tex",  keep(treated formal_leader c.treated#c.formal_leader)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles


*** TABLE 7: Some evidence of district-level behavioral effects by pre-treatment capacity

use "Sexton-QJPS-districts",clear

eststo clear
foreach y in ln_miembros_Total kit2 incidents_post2 pct_quarter_post {
 reg `y' c.treated##c.pct_quarter_pre_centered      , vce(bootstrap, reps(500) seed(7083))
 eststo
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))
 }
  esttab using "table7.tex",  keep(treated pct_quarter_pre_centered c.treated#c.pct_quarter_pre_centered )  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles


******************
*** APPENDIX
******************

*** Table A.1: Individual-level treatment and control groups (survey responses N=643)

use "Sexton-QJPS-individual.dta",clear

eststo clear
foreach x in female s2q2_edad s2q4_educ casado idioma_spanish juntos s4q11_org_3 voted_local  {
reg `x' treated  [pw=weight], vce(cl community)
eststo
margins, at(treated=(0 1))
}
	** Record means from margins command above
esttab using "tableA1.tex",  keep(treated)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles


*** Table A.2: Community-level treatment and control group balance (SISFOH, N=77). (CHECK RESULTS IN MANUSCRIPT)

use "Sexton-QJPS-collapsed.dta",clear

eststo clear
foreach x in  cellphone internet blender tel_signal reads juntos nhab  distance_capital altitude emp_mining  {
reg `x' treated , robust
eststo
margins, at(treated=(0 1))
}

	** Record means from margins command above
esttab using "tableA2.tex",  keep(treated)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles


*** Table A.3: District level balance (N=23)

use "Sexton-QJPS-districts",clear

eststo clear
foreach v in lifeexpectancy literacy familyincomepermonth population pct_quarter_pre fujimori_firstround men_ppk winner_share alc_win_margin incidents_pre2 {
reg `v' treated  , robust
eststo
margins, at(treated=(0 1))
}

	** Record means from margins command above
esttab using "tableA3.tex",  keep(treated)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles

*** Table A.4: No Differential Missingness Between Treated and Control Communities

use "Sexton-QJPS-individual.dta",clear

eststo clear
reg missing_pp c.treated c.reads blender cellphone internet distance_capital nhab female  i.s1q4_prov_dist i.cem_strata  [pw=weight], vce(cl community)
eststo
reg missing_pp c.treated   [pw=weight], vce(cl community)
eststo
reg missing_revoc c.treated c.reads blender cellphone internet distance_capital nhab female  i.s1q4_prov_dist i.cem_strata  [pw=weight], vce(cl community)
eststo 
reg missing_revoc c.treated   [pw=weight], vce(cl community)
eststo 

esttab using "tableA4.tex",  keep(treated)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles

*** Table A.5: Individual level balance for not missing “participated in PB" (N=397)

eststo clear
foreach x in female s2q2_edad s2q4_educ casado idioma_spanish juntos s4q11_org_3 voted_local  {
reg `x' treated  [pw=weight] if !missing(pp_participation), vce(cl community)
eststo
margins, at(treated=(0 1))
}

	** Record means from margins command above
esttab using "tableA5.tex",  keep(treated)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles

*** Table A.6: Individual level balance for not missing “know and define recall" (N=321)

eststo clear
foreach x in female s2q2_edad s2q4_educ casado idioma_spanish juntos s4q11_org_3 voted_local  {
reg `x' treated  [pw=weight] if !missing(revoc_support), vce(cl community)
eststo
margins, at(treated=(0 1))
}

	** Record means from margins command above
esttab using "tableA6.tex",  keep(treated)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles


*** Table A.7: Spillover Check

use "Sexton-QJPS-collapsed.dta",clear

foreach y in pp_knowledge_total2 revoc_knowledge_total2 canon_knowledge_total2 pp_participation revoc_support protest_support2 {
gen t_spill=.
gen ccpp_spill=.
	eststo clear
	forvalues i=1/5 {
		replace t_spill=nt_within_`i'k
		replace ccpp_spill= ccpp_within_`i'k
		reg `y' t_spill ccpp_spill   distance_capital nhab if treated==0, robust
			eststo
	}
	
	forvalues i=1/5 {
		replace t_spill=nt_within_`i'k
		replace ccpp_spill= ccpp_within_`i'k
		reg `y' t_spill ccpp_spill distance_capital nhab, robust
		eststo	
	}
	esttab using "spillovers_`y'",  keep(t_spill)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles
drop t_spill ccpp_spill
}

*** Table A.8: CATE: Accountability Workshops Increased Knowledge Among Village Leaders

eststo clear
foreach y in pp_knowledge_total2 revoc_knowledge_total2 canon_knowledge_total2 {
ivregress 2sls `y'  (participated = treated), vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
margins, at(participated=(0 1))
ivregress 2sls  `y' (participated = treated) nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
 margins, at(participated=(0 1))
ivregress 2sls `y' (participated = treated) nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
 margins, at(participated=(0 1))
 }
 
 esttab using "tableA8.tex",  keep(participated)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(+ .1 * .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles

*** Table A.9: CATE: Workshops Affected Political Participation and Attitudes

eststo clear
foreach y in  pp_participation revoc_support protest_support2 {
ivregress 2sls `y'  (participated = treated), vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
margins, at(participated=(0 1))
ivregress 2sls  `y' (participated = treated) nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
 margins, at(participated=(0 1))
ivregress 2sls `y' (participated = treated) nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
 margins, at(participated=(0 1))
 }
 
 esttab using "tableA9.tex",  keep(participated)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(+ .1 * .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles

*** Table A.10: CATE: Workshops affected other political attitudes

eststo clear
foreach y in  mayor_satisfaction_total confianza_pp confianza_revoc firm_satisfaction_total {
ivregress 2sls `y'  (participated = treated), vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
margins, at(participated=(0 1))
ivregress 2sls  `y' (participated = treated) nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
 margins, at(participated=(0 1))
ivregress 2sls `y' (participated = treated) nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
 margins, at(participated=(0 1))
 }
 
 esttab using "tableA10.tex",  keep(participated)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(+ .1 * .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles

*** Table A.11: Knowledge Results with Analytic SE, Bootstrap and Randomization Inference

local covar nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share

foreach y in pp_knowledge_total2 revoc_knowledge_total2 canon_knowledge_total2  {
reg `y' treated `covar', robust
display (2 * ttail(e(df_r), abs(_b[treated]/_se[treated])))
reg `y' treated `covar', vce(bootstrap, reps(500) strata(cem_strata))
di e(p)
ritest treated _b[treated], reps(1000) seed(125):  reg `y' treated `covar', robust
mat list r(p)
 }

*** Table A.12: Participation Results with Analytic SE, Bootstrap and Randomization Inference

local covar nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share

 foreach y in pp_participation revoc_support protest_support2  {
reg `y' treated `covar', robust
display (2 * ttail(e(df_r), abs(_b[treated]/_se[treated])))
reg `y' treated `covar', vce(bootstrap, reps(500) strata(cem_strata))
di e(p)
ritest treated _b[treated], reps(1000) seed(125):  reg `y' treated `covar', robust
mat list r(p)
 }
 
*** Figure A.1: Marginal Effects: Knowledge

  reg pp_knowledge_total2 c.treated##c.pct_quarter_pre_centered nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))
 marginsplot, yline(0) plotop(connect(none)  mcolor(red)   ) ciopts(lcolor(red)   lwidth(thick) lpattern(dash)  )  xscale(range(-1.5 1.5)) ///
 xtitle("Low Budg. Exec.    Ave. Budg. Exec.    High Budg. Exec. ",color(black) ) xlabel(none) ///
 title("       Knowledge of PB Process",color(red))  ytitle("Marginal Treatment Effect") ylabel(-.1 0 .1 .2) l(90) xsize(5) ysize(5)
graph export "FigA1-panel1.pdf",replace


 reg revoc_knowledge_total2 c.treated##c.pct_quarter_pre_centered nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))
 marginsplot, yline(0) plotop(connect(none)  mcolor(blue)   ) ciopts(lcolor(blue)   lwidth(thick) lpattern(dash)  )  xscale(range(-1.5 1.5)) ///
 xtitle("Low Budg. Exec.    Ave. Budg. Exec.    High Budg. Exec. ",color(black) ) xlabel(none) ///
 title("       Knowledge of Recall Process",color(blue))  ytitle("Marginal Treatment Effect") ylabel(-.1 0 .1 .2) l(90) xsize(5) ysize(5)
graph export "FigA1-panel2.pdf",replace


 reg canon_knowledge_total2 c.treated##c.pct_quarter_pre_centered nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))
 marginsplot, yline(0) plotop(connect(none)  mcolor(orange)   ) ciopts(lcolor(orange)   lwidth(thick) lpattern(dash)  )  xscale(range(-1.5 1.5)) ///
 xtitle("Low Budg. Exec.    Ave. Budg. Exec.    High Budg. Exec. ",color(black) ) xlabel(none) ///
 title("       Knowledge of Revenues Process",color(orange))  ytitle("Marginal Treatment Effect") ylabel(-.1 0 .1 .2) l(90) xsize(5) ysize(5)
graph export "FigA1-panel3.pdf",replace
 

*** Figure A.2: Marginal Effects: Political Participation and Attitudes

reg pp_participation c.treated##c.pct_quarter_pre_centered nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))
 marginsplot, yline(0) plotop(connect(none)  mcolor(brown)   ) ciopts(lcolor(brown)   lwidth(thick) lpattern(dash)  )  xscale(range(-1.5 1.5)) ///
 xtitle("Low Budg. Exec.    Ave. Budg. Exec.    High Budg. Exec. ",color(black) ) xlabel(none) ///
 title("       Participation in PB Process",color(brown))  ytitle("Marginal Treatment Effect") ylabel(-.1 0 .1 .2) l(90) xsize(5) ysize(5)
graph export "FigA2-panel1.pdf",replace


 reg revoc_support c.treated##c.pct_quarter_pre_centered nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))
 marginsplot, yline(0) plotop(connect(none)  mcolor(green)   ) ciopts(lcolor(green)   lwidth(thick) lpattern(dash)  )  xscale(range(-1.5 1.5)) ///
 xtitle("Low Budg. Exec.    Ave. Budg. Exec.    High Budg. Exec. ",color(black) ) xlabel(none) ///
 title("       Support for Recall",color(green))  ytitle("Marginal Treatment Effect") ylabel(-.1 0 .1 .2) l(90) xsize(5) ysize(5)
graph export "FigA2-panel2.pdf",replace


 reg protest_support2 c.treated##c.pct_quarter_pre_centered nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))
 marginsplot, yline(0) plotop(connect(none)  mcolor(purple)   ) ciopts(lcolor(purple)   lwidth(thick) lpattern(dash)  )  xscale(range(-1.5 1.5)) ///
 xtitle("Low Budg. Exec.    Ave. Budg. Exec.    High Budg. Exec. ",color(black) ) xlabel(none) ///
 title("       Support for Protest",color(purple))  ytitle("Marginal Treatment Effect") ylabel(-.1 0 .1 .2) l(90) xsize(5) ysize(5)
graph export "FigA2-panel3.pdf",replace


*** Figure A.3: Marginal Effects: Other Political Attitudes

reg mayor_satisfaction_total c.treated##c.pct_quarter_pre_centered nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))
 marginsplot, yline(0) plotop(connect(none)  mcolor(navy)   ) ciopts(lcolor(navy)   lwidth(thick) lpattern(dash)  )  xscale(range(-1.5 1.5)) ///
 xtitle("Low Budg. Exec.    Ave. Budg. Exec.    High Budg. Exec. ",color(black) ) xlabel(none) ///
 title("       Satisfaction with Mayor",color(navy))  ytitle("Marginal Treatment Effect") ylabel(-.1 0 .1 .2) l(90) xsize(5) ysize(5)
graph export "FigA3-panel1.pdf",replace

reg confianza_pp c.treated##c.pct_quarter_pre_centered nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))
 marginsplot, yline(0) plotop(connect(none)  mcolor(maroon)   ) ciopts(lcolor(maroon)   lwidth(thick) lpattern(dash)  )  xscale(range(-1.5 1.5)) ///
 xtitle("Low Budg. Exec.    Ave. Budg. Exec.    High Budg. Exec. ",color(black) ) xlabel(none) ///
 title("       Trust in Participatory Budgeting",color(maroon))  ytitle("Marginal Treatment Effect") ylabel(-.1 0 .1 .2) l(90) xsize(5) ysize(5)
graph export "FigA3-panel2.pdf",replace

reg confianza_revoc c.treated##c.pct_quarter_pre_centered nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))
 marginsplot, yline(0) plotop(connect(none)  mcolor(dkgreen)   ) ciopts(lcolor(dkgreen)   lwidth(thick) lpattern(dash)  )  xscale(range(-1.5 1.5)) ///
 xtitle("Low Budg. Exec.    Ave. Budg. Exec.    High Budg. Exec. ",color(black) ) xlabel(none) ///
 title("       Trust in Recall Process",color(dkgreen))  ytitle("Marginal Treatment Effect") ylabel(-.1 0 .1 .2) l(90) xsize(5) ysize(5)
graph export "FigA3-panel3.pdf",replace

reg firm_satisfaction_total c.treated##c.pct_quarter_pre_centered nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))
 marginsplot, yline(0) plotop(connect(none)  mcolor(orange_red)   ) ciopts(lcolor(orange_red)   lwidth(thick) lpattern(dash)  )  xscale(range(-1.5 1.5)) ///
 xtitle("Low Budg. Exec.    Ave. Budg. Exec.    High Budg. Exec. ",color(black) ) xlabel(none) ///
 title("       Satisfaction with Extractive Companies",color(orange_red))  ytitle("Marginal Treatment Effect") ylabel(-.1 0 .1 .2) l(90) xsize(5) ysize(5)
graph export "FigA3-panel4.pdf",replace


*** Table A.13: Individual Level Effects on Knowledge (ITT)
use "Sexton-QJPS-individual.dta",clear

eststo clear
foreach y in heard_know_pp pp_knowledge_total2 heard_know_revoc revoc_knowledge_total2 heard_know_canon canon_knowledge_total2   {
reg  `y' treated c.reads blender cellphone internet distance_capital i.s1q4_prov_dis  i.cem_strata   [aw=weight]  , vce(cl community) 
eststo
margins, at(treated=(0 1))
}

esttab using "tableA13.tex",  keep( treated)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles

*** Table A.14: Individual Level Effects on Attitudes (ITT)

eststo clear
 reg pp_participation c.treated c.reads blender cellphone internet distance_capital nhab female  i.s1q4_prov_dist i.cem_strata   [aw=weight], vce(cl community)
 eststo
  reg revoc_support c.treated c.reads blender cellphone internet distance_capital nhab female  i.s1q4_prov_dist i.cem_strata   [pw=weight], vce(cl community)
 eststo
  reg protest_support c.treated c.reads blender cellphone internet distance_capital nhab female  i.s1q4_prov_dist i.cem_strat if !missing(pp_participation) [pw=weight], vce(cl community)
 eststo

esttab using "tableA14.tex",  keep( treated)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles


*** Table A.15: Individual Level Effects on Satisfaction Attitudes

eststo clear
  
reg mayor_satisfaction_total treated  c.reads blender cellphone i.occup  internet distance_capital nhab i.rural   female i.s1q4_prov_dist i.cem_strata    if !missing(pp_participation)  [aw=weight]  , vce(cl community) 
 eststo
reg confianza_pp  treated c.reads blender cellphone i.occup  internet distance_capital nhab i.rural  female i.s1q4_prov_dist i.cem_strata     if !missing(pp_participation)  [aw=weight]  , vce(cl community) 
 eststo
reg confianza_revoc treated  c.reads blender cellphone i.occup  internet distance_capital nhab i.rural   female i.s1q4_prov_dist i.cem_strata    if !missing(pp_participation)  [aw=weight]  , vce(cl community) 
 eststo
 margins, at(treated=(0 1))
reg firm_satisfaction_total treated c.reads blender cellphone i.occup  internet distance_capital nhab i.rural  female i.s1q4_prov_dist i.cem_strata     if !missing(pp_participation)  [aw=weight]  , vce(cl community) 
 eststo
 
  esttab using "tableA15.tex",  keep(treated)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles

*** Table A.16: Disengagement from Participatory Budgeting Led by Male Participants

eststo clear
reg pp_participation c.treated##c.female nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab  familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

reg revoc_support c.treated##c.female nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab  familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

reg protest_support2 c.treated##c.female nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab  familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

esttab using "tableA16.tex",  keep(treated female c.treated#c.female)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles


*** Table A.17: Heterogeneous effects by JUNTOS program participation

eststo clear
reg pp_participation c.treated##c.juntos  reads blender cellphone internet distance_capital nhab female  familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg pp_participation c.treated##c.juntos  nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female  familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg revoc_support c.treated##c.juntos reads blender cellphone internet distance_capital nhab female  familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg revoc_support c.treated##c.juntos  nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female  familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg protest_support2 cc.treated##c.juntos   reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg protest_support2 cc.treated##c.juntos  nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

esttab using "tableA17.tex",  keep(treated juntos c.treated#c.juntos)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles


*** Table A.18: Heterogeneous effects by leader age 

eststo clear

reg pp_participation c.treated##c.s2q2_edad reads blender cellphone internet distance_capital nhab female  familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg pp_participation c.treated##c.s2q2_edad  nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female  familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg revoc_support c.treated##c.s2q2_edad  reads blender cellphone internet distance_capital nhab female  familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg revoc_support c.treated##c.s2q2_edad  nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female  familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg protest_support2 cc.treated##c.s2q2_edad  reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg protest_support2 cc.treated##c.s2q2_edad  nt_within_5k ccpp_within_5k reads blender cellphone internet distance_capital nhab female familyincomepermonth fujimori_firstround winner_share, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

esttab using "tableA18.tex",  keep(treated s2q2_edad c.treated#c.s2q2_edad)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles

*** Table A.19: Effects on political knowledge, attitudes and behavior vary by pre-period mayor performance

use "Sexton-QJPS-collapsed.dta",clear

eststo clear

reg pp_participation treated##c.asset_index, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg pp_participation treated##c.asset_index nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

reg revoc_support treated##c.asset_index, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg revoc_support treated##c.asset_index nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

reg protest_support2 treated##c.asset_index, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo
reg protest_support2 treated##c.asset_index nt_within_5k ccpp_within_5k distance_capital nhab, vce(bootstrap, reps(500) strata(cem_strata) seed(1227))
eststo

  esttab using "tableA19.tex",  keep(1.treated asset_index 1.treated#c.asset_index)  cells(b(star fmt(2)) se(par fmt(2))) stats(N, labels(N) fmt(0)) starlevel(* .05 ** .01 *** .001) replace tex nolz label noabb wrap varwidth(50) mtitles


*** Figure A.4: Marginal Effects: Other Political Attitudes

use "Sexton-QJPS-districts",clear


reg ln_miembros_Total c.treated##c.pct_quarter_pre_centered      , vce(bootstrap, reps(500) seed(7083))
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))
 marginsplot, yline(0) plotop(connect(none)  mcolor(gs2)   ) ciopts(lcolor(gs2)   lwidth(thick) lpattern(dash)  )  xscale(range(-1.5 1.5)) ///
 xtitle("Low Budg. Exec.    Ave. Budg. Exec.    High Budg. Exec. ",color(black) ) xlabel(none) ///
 title("       Change in Standing Committee Membership ",color(gs2))  ytitle("Marginal Treatment Effect") l(90) xsize(5) ysize(5)
graph export "FigA4-panel1.pdf",replace

reg kit2 c.treated##c.pct_quarter_pre_centered      , vce(bootstrap, reps(500) seed(7083))
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))
 marginsplot, yline(0) plotop(connect(none)  mcolor(gs2)   ) ciopts(lcolor(gs2)   lwidth(thick) lpattern(dash)  )  xscale(range(-1.5 1.5)) ///
 xtitle("Low Budg. Exec.    Ave. Budg. Exec.    High Budg. Exec. ",color(black) ) xlabel(none) ///
 title("       Purchase of Recall Kit",color(gs2))  ytitle("Marginal Treatment Effect") l(90) xsize(5) ysize(5)
graph export "FigA4-panel2.pdf",replace

reg incidents_post2 c.treated##c.pct_quarter_pre_centered      , vce(bootstrap, reps(500) seed(7083))
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))
 marginsplot, yline(0) plotop(connect(none)  mcolor(gs2)   ) ciopts(lcolor(gs2)   lwidth(thick) lpattern(dash)  )  xscale(range(-1.5 1.5)) ///
 xtitle("Low Budg. Exec.    Ave. Budg. Exec.    High Budg. Exec. ",color(black) ) xlabel(none) ///
 title("       Protest Incidents Ex Post",color(gs2))  ytitle("Marginal Treatment Effect") l(90) xsize(5) ysize(5)
graph export "FigA4-panel3.pdf",replace

reg pct_quarter_post c.treated##c.pct_quarter_pre_centered      , vce(bootstrap, reps(500) seed(7083))
 margins, dydx(treated) at (pct_quarter_pre_centered=( -1 0 1))
 marginsplot, yline(0) plotop(connect(none)  mcolor(gs2)   ) ciopts(lcolor(gs2)   lwidth(thick) lpattern(dash)  )  xscale(range(-1.5 1.5)) ///
 xtitle("Low Budg. Exec.    Ave. Budg. Exec.    High Budg. Exec. ",color(black) ) xlabel(none) ///
 title("       Budget Execution Ex Post",color(gs2))  ytitle("Marginal Treatment Effect") l(90) xsize(5) ysize(5)
graph export "FigA4-panel4.pdf",replace





